%bcond_without mead

%if "%{?rhel}" == "6"
%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif
%else
%bcond_with repolib
%endif

%global origtag .GA
%define reltag %{origtag}_redhat_2
%define namedreltag %{origtag}-redhat-2
%global namedversion %{version}%{?namedreltag}

%define maven_version 1.0.1.GA-redhat-2

Name:		jaxws-jboss-httpserver-httpspi
Version:	1.0.1
Release:	3%{?reltag}%{?dist}.3
Epoch:		0
Summary:	JBoss httpserver to JAXWS 2.2 HTTP SPI bridge
Group:		Development/Java

%if %with mead
Source100: org.jboss.ws.projects-jaxws-jboss-httpserver-httpspi-1.0.1.GA-redhat-2-sources.zip
Source101: org.jboss.ws.projects-jaxws-jboss-httpserver-httpspi-1.0.1.GA-redhat-2-patches.zip
Source102: jaxws-jboss-httpserver-httpspi-1.0.1.GA-redhat-2.pom
Source103: jaxws-jboss-httpserver-httpspi-1.0.1.GA-redhat-2-sources.jar
Source104: jaxws-jboss-httpserver-httpspi-1.0.1.GA-redhat-2-javadoc.jar
Source105: jaxws-jboss-httpserver-httpspi-1.0.1.GA-redhat-2.jar
%endif

License:	LGPLv2+
URL:		http://fisheye.jboss.com/viewrep/JBossWS/projects/jaxws-jboss-httpserver-httpspi/tags/jaxws-jboss-httpserver-httpspi-1.0.1.GA
%if %without mead
svn export http://anonsvn.jboss.org/repos/jbossws/projects/jaxws-jboss-httpserver-httpspi/tags/jaxws-jboss-httpserver-httpspi-1.0.1.GA
Exported revision 16022
tar cjf jaxws-jboss-httpserver-httpspi-1.0.1.GA.tar.bz2 jaxws-jboss-httpserver-httpspi-1.0.1.GA/
Source0:	jaxws-jboss-httpserver-httpspi-%{version}%{origtag}.tar.bz2
# FIXME: (dwalluck): for aries-blueprint
Source1:	jaxws-jboss-httpserver-httpspi-jpp-depmap.xml
Patch0:		jaxws-jboss-httpserver-httpspi-vman-pom.patch
%endif

Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
Requires:       httpserver
Requires:       jboss-jaxws-api_2.2_spec
%if %without mead
BuildRequires:  jpackage-utils 
BuildRequires:  maven2
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-source
BuildRequires:  jboss-parent
BuildRequires:  jvnet-parent
BuildRequires:  jbossws-parent
BuildRequires:  jboss-jaxws-api_2.2_spec
BuildRequires:  httpserver
BuildRequires:  apache-cxf
BuildRequires:  junit4
BuildRequires:  jboss-servlet-api_3.0_spec
# FIXME: transitive dependencies which apache-cxf doesn't R them!!
BuildRequires:  ws-commons-XmlSchema
BuildRequires:  ws-commons-neethi
BuildRequires:  geronimo-javamail-1.4-api
BuildRequires:  wsdl4j
BuildRequires:  glassfish-jaxb
BuildRequires:  woodstox-core >= 0:4.1.1
BuildRequires:  xml-commons-resolver >= 0:1.2
BuildRequires:  org.osgi.core
BuildRequires:  apache-aries-blueprint-mead
# Needed for RHEL-5 builds
BuildRequires:  sun-istack-commons
BuildRequires:  jboss-jaxb-api_2.2_spec
BuildRequires:  txw2
BuildRequires:  glassfish-javamail
BuildRequires:  relaxngDatatype
BuildRequires:  oss-parent
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBoss httpserver to JAXWS 2.2 HTTP SPI bridge.

%if %without mead
%package javadoc
Group:          Documentation

Summary:        Javadoc for jaxws-jboss-httpserver-httpspi
Requires:       jpackage-utils

%description javadoc
API documentation for jaxws-jboss-httpserver-httpspi.
%endif

%if %with repolib
%package repolib
Summary:	Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q -n jaxws-jboss-httpserver-httpspi-%{version}%{origtag}
%patch0 -p1 
%endif

%build
%if %without mead
export LC_ALL=en_US.UTF8
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g -XX:MaxPermSize=512M -Dproject.build.sourceEncoding=UTF8"
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -Dmaven.test.failure.ignore=true -Dmaven2.jpp.depmap.file=%{SOURCE1} deploy javadoc:aggregate
%endif

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
%if %without mead
cp -p target/jaxws-jboss-httpserver-httpspi-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
cp -p target/jaxws-jboss-httpserver-httpspi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

# poms
mkdir -p %{buildroot}%{_mavenpomdir}
%if %without mead
cp -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%endif
%add_to_maven_depmap org.jboss.ws.projects jaxws-jboss-httpserver-httpspi %{namedversion} JPP %{name}

# javadoc
%if %without mead
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
%endif

%if %with repolib
mkdir -p %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
cp -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.GA_redhat_2.3
- Rebuild for MD5

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-2.GA_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-2.GA_redhat_1.1
- Rebuild using cache signing

* Tue Jun 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-2.GA_redhat_1
- Build in MEAD

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-1.GA_redhat_1.1.1
- Rebuild using cache signing

* Mon Mar 26 2012 Hui Wang <huwang@redhat.com> 1.0.1-1.GA_redhat_1.1
- Upgrade to 1.0.1.GA

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 1.0.0-3
- drop jbossws-parent requires
- remove maven2 requires
- use xml-commons-resolver >= 0:1.2
- use woodstox-core, not older wstx pkg
- keep jpp depmap file, but only for missing aries-blueprint RPM
- set -Dmaven.test.failure.ignore=true
- fix or add descriptions to packages
- put jars in flat dir
- fix depmap entry
- fix repolib file ownership
- fix main and javadoc pkg perms

* Fri Jan 06 2012 Fernando Nasser <fnasser@redhat.com> 1.0.0-2.GA.1
- Fix parent version
- Add BR for org.osgi.core
- FIXME: Temporarely BR the wrapper for aries blueprint

* Tue Nov 29 2011 Hui Wang <huwang@redhat.com> 1.0.0-2.GA
- Remove cxf-parent-pom.xml and cxf-pom.xml

* Sun Nov 13 2011 Hui Wang <huwang@redhat.com> 1.0.0-1.GA
- First release
